<?php use_helper('I18N', 'tvtl'); ?>
<?php $sf_context->getResponse()->addJavascriptCommand('setCategory('.$cat_id.');'); ?>

<div id='main-create'>
  <?php if (!isset($entry_id)): ?>
    <?php $tabMenus = array('direct'=>'Đưa lên từ máy tính', 'select'=>'Chọn từ tài liệu của tôi', 'paste'=>'Liên kết từ thư viện khác'); ?>
    <?php echo gridTab($tabMenus, "/present/create?cat_id=$cat_id&createMethod=", $createMethod, 'main-create') ?>
  <?php endif ?>

  <?php
    switch ($createMethod) {
      case 'direct':
        include_component('present', 'createdirect', array('cat_id'=>$cat_id, 'entry_id'=>$entry_id, 'tblpresentation'=>$tblpresentation));
        break;
      case 'select':
        include_component('present', 'createselect', array('cat_id'=>$cat_id));
        break;
      case 'paste':
        include_component('present', 'createpaste', array('cat_id'=>$cat_id));
        break;
    }
  ?>
</div>